Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2002-0638

CVE information

Published

20 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

setpwnam.c in the util-linux package, as included in Red Hat Linux 7.3 and earlier, and other operating systems, does not properly lock a temporary file when modifying /etc/passwd, which may allow local users to gain privileges via a complex race condition that uses an open file descriptor in utility programs such as chfn and chsh..

CVSSv2.0 Score

Severity
Medium
Base Score
6.2/10
Exploit Score
1.9/10
Access Vector
Local
Access Complexity
High
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:mandrakesoft:mandrake_single_network_firewall:7.2:
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:7.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.1:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.2:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.0:*:sparc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.1:*:sparc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:8.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.0:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.0:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:8.0:*:ppc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:8.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.1:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.1:*:ia64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:7.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux_corporate_server:1.0.1
  Yes
- -
cpe:2.3:o:redhat:linux:6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.2:*:sparc:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.2:*:ia64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:hp:secure_os:1.0:*:linux:*:*:*:*:*
  Yes
- -
cpe:2.3:o:mandrakesoft:mandrake_linux:8.1:*:ia64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.2:*:alpha:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.1:*:*:*:*:*:*:*
  Yes
- -